GStreamer::IndexFactory(3)

NAME
GStreamer::IndexFactory

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::PluginFeature
            +----GStreamer::IndexFactory

METHODS

  indexfactory = GStreamer::IndexFactory->new ($name, $longdesc, $type)

•   $name (string)

•   $longdesc (string)

•   $type (string)

  index = $factory->create

  $factory->destroy

  indexfactory = GStreamer::IndexFactory->find ($name)

•   $name (string)

  index = GStreamer::IndexFactory->make ($name)

•   $name (string)

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object, GStreamer::PluginFeature

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.